CC=gcc

CFLAGS = -O3 -I../include
LDFLAGS = -L ../ -lglfw -lgearlib -lm

CFILES=$(shell find -L * -type f -name '*.c')
BINARIES=$(CFILES:.c=)

all: $(BINARIES)

%: %.c
	$(CC) $< -o $@ $(CFLAGS) $(LDFLAGS)

clean:
	rm -rf $(BINARIES)

